## lexicon 0.0.1

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons
Version: 0.0.1
Authors@R: c(person("Tyler", "Rinker", email =
        "tyler.rinker@gmail.com", role = c("aut", "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and
        word lists.
Depends: R (>= 3.2.2)
Date: 2017-01-07
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 5.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
NeedsCompilation: no
Packaged: 2017-01-08 03:15:05 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-01-08 12:02:14

## lexicon 0.1.0

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 0.1.0
Authors@R: c(person("Tyler", "Rinker", email =
        "tyler.rinker@gmail.com", role = c("aut", "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and
        word lists.
Depends: R (>= 3.2.2)
Date: 2017-01-20
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 5.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
NeedsCompilation: no
Packaged: 2017-01-20 12:51:12 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-01-20 14:36:30

## lexicon 0.1.1

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 0.1.1
Authors@R: c(person("Tyler", "Rinker", email =
        "tyler.rinker@gmail.com", role = c("aut", "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and
        word lists.
Depends: R (>= 3.2.2)
Date: 2017-02-19
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 5.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
NeedsCompilation: no
Packaged: 2017-02-19 19:49:56 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-02-19 23:12:02

## lexicon 0.2.0

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 0.2.0
Authors@R: c(person("Tyler", "Rinker", email =
        "tyler.rinker@gmail.com", role = c("aut", "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and
    word lists.
Depends: R (>= 3.2.2)
Imports: data.table, syuzhet (>= 1.0.1)
Date: 2017-03-06
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 5.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
Collate: 'common_names.R' 'discourse_markers_alemany.R'
        'dodds_sentiment.R' 'freq_first_names.R' 'freq_last_names.R'
        'function_words.R' 'grady_augmented.R' 'hash_emoticons.R'
        'hash_grady_pos.R' 'hash_lemmas.R' 'hash_power.R'
        'hash_sentiment_huliu.R' 'utils.R' 'hash_sentiment_jockers.R'
        'hash_sentiment_nrc.R' 'hash_sentiment_sentiword.R'
        'hash_strength.R' 'hash_syllable.R' 'hash_valence_shifters.R'
        'key_abbreviation.R' 'key_contractions.R' 'key_grade.R'
        'key_grades.R' 'key_ratings.R' 'lexicon-package.R'
        'nrc_emotions.R' 'pos_action_verb.R' 'pos_adverb.R'
        'pos_df_pronouns.R' 'pos_interjections.R' 'pos_preposition.R'
        'sw_buckley_salton.R' 'sw_dolch.R' 'sw_fry_100.R'
        'sw_fry_1000.R' 'sw_fry_200.R' 'sw_fry_25.R' 'sw_onix.R'
NeedsCompilation: no
Packaged: 2017-03-07 03:14:30 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-03-07 13:41:39

## lexicon 0.3.1

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 0.3.1
Authors@R: c(person("Tyler", "Rinker", email =
        "tyler.rinker@gmail.com", role = c("aut", "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and
        word lists.
Depends: R (>= 3.2.2)
Imports: data.table, syuzhet (>= 1.0.1)
Date: 2017-04-09
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
Collate: 'available_data.R' 'common_names.R'
        'discourse_markers_alemany.R' 'dodds_sentiment.R'
        'freq_first_names.R' 'freq_last_names.R' 'function_words.R'
        'grady_augmented.R' 'hash_emoticons.R' 'hash_grady_pos.R'
        'hash_lemmas.R' 'hash_power.R' 'hash_sentiment_huliu.R'
        'utils.R' 'hash_sentiment_jockers.R' 'hash_sentiment_nrc.R'
        'hash_sentiment_sentiword.R' 'hash_strength.R'
        'hash_syllable.R' 'hash_valence_shifters.R'
        'key_abbreviation.R' 'key_contractions.R' 'key_grade.R'
        'key_grades.R' 'key_ratings.R' 'lexicon-package.R'
        'nrc_emotions.R' 'pos_action_verb.R' 'pos_adverb.R'
        'pos_df_pronouns.R' 'pos_interjections.R' 'pos_preposition.R'
        'sw_buckley_salton.R' 'sw_dolch.R' 'sw_fry_100.R'
        'sw_fry_1000.R' 'sw_fry_200.R' 'sw_fry_25.R' 'sw_onix.R'
NeedsCompilation: no
Packaged: 2017-04-10 01:05:55 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-04-10 13:17:43 UTC

## lexicon 0.4.1

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 0.4.1
Authors@R: c(person("Tyler", "Rinker", email = "tyler.rinker@gmail.com", role = c("aut",
          "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and word lists.
Depends: R (>= 3.2.2)
Imports: data.table, syuzhet (>= 1.0.1)
Date: 2017-10-28
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
Collate: 'available_data.R' 'common_names.R'
        'discourse_markers_alemany.R' 'dodds_sentiment.R'
        'freq_first_names.R' 'freq_last_names.R' 'function_words.R'
        'grady_augmented.R' 'hash_emoticons.R' 'hash_grady_pos.R'
        'hash_lemmas.R' 'hash_power.R' 'hash_sentiment_huliu.R'
        'utils.R' 'hash_sentiment_jockers.R' 'hash_sentiment_nrc.R'
        'hash_sentiment_sentiword.R' 'hash_strength.R'
        'hash_syllable.R' 'hash_valence_shifters.R'
        'key_abbreviation.R' 'key_contractions.R' 'key_grade.R'
        'key_grades.R' 'key_ratings.R' 'lexicon-package.R'
        'nrc_emotions.R' 'pos_action_verb.R' 'pos_adverb.R'
        'pos_df_irregular_nouns.R' 'pos_df_pronouns.R'
        'pos_interjections.R' 'pos_preposition.R'
        'pos_unchanging_nouns.R' 'profanity_alvarez.R'
        'profanity_arr_bad.R' 'profanity_banned.R' 'profanity_google.R'
        'profanity_von_ahn.R' 'sw_buckley_salton.R' 'sw_dolch.R'
        'sw_fry_100.R' 'sw_fry_1000.R' 'sw_fry_200.R' 'sw_fry_25.R'
        'sw_onix.R'
NeedsCompilation: no
Packaged: 2017-10-28 23:24:49 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-10-29 14:13:50 UTC

## lexicon 0.6.3

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 0.6.3
Authors@R: c(person("Tyler", "Rinker", email = "tyler.rinker@gmail.com", role = c("aut",
          "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and word lists.
Depends: R (>= 3.2.2)
Imports: data.table, syuzhet (>= 1.0.1)
Date: 2017-12-11
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
Collate: 'available_data.R' 'common_names.R'
        'constraining_loughran_mcdonald.R'
        'discourse_markers_alemany.R' 'dodds_sentiment.R'
        'freq_first_names.R' 'freq_last_names.R' 'function_words.R'
        'grady_augmented.R' 'hash_emoticons.R' 'hash_grady_pos.R'
        'hash_lemmas.R' 'hash_power.R' 'hash_sentiment_emojis.R'
        'hash_sentiment_huliu.R' 'hash_sentiment_inquirer.R' 'utils.R'
        'hash_sentiment_jockers.R' 'hash_sentiment_jockers_rinker.R'
        'hash_sentiment_loughran_mcdonald.R' 'hash_sentiment_nrc.R'
        'hash_sentiment_senticnet.R' 'hash_sentiment_sentiword.R'
        'hash_sentiment_vadar.R' 'hash_strength.R' 'hash_syllable.R'
        'hash_valence_shifters.R' 'key_abbreviation.R'
        'key_contractions.R' 'key_grade.R' 'key_grades.R'
        'key_ratings.R' 'lexicon-package.R' 'modal_loughran_mcdonald.R'
        'nrc_emotions.R' 'pos_action_verb.R' 'pos_adverb.R'
        'pos_df_irregular_nouns.R' 'pos_df_pronouns.R'
        'pos_interjections.R' 'pos_preposition.R'
        'pos_unchanging_nouns.R' 'profanity_alvarez.R'
        'profanity_arr_bad.R' 'profanity_banned.R' 'profanity_google.R'
        'profanity_von_ahn.R' 'sw_buckley_salton.R' 'sw_dolch.R'
        'sw_fry_100.R' 'sw_fry_1000.R' 'sw_fry_200.R' 'sw_fry_25.R'
        'sw_jockers.R' 'sw_loughran_mcdonald.R' 'sw_lucene.R'
        'sw_mallet.R' 'sw_onix.R' 'sw_python.R'
NeedsCompilation: no
Packaged: 2017-12-11 11:55:26 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-12-11 13:30:00 UTC

## lexicon 0.7.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: lexicon
 Title: Lexicons for Text Analysis
-Version: 0.6.3
+Version: 0.7.4
 Authors@R: c(person("Tyler", "Rinker", email = "tyler.rinker@gmail.com", role = c("aut",
           "cre")))
 Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
 Description: A collection of lexical hash tables, dictionaries, and word lists.
 Depends: R (>= 3.2.2)
 Imports: data.table, syuzhet (>= 1.0.1)
-Date: 2017-12-11
+Date: 2018-01-12
 License: MIT + file LICENSE
 LazyData: TRUE
 RoxygenNote: 6.0.1
@@ -16,13 +16,15 @@
 Collate: 'available_data.R' 'common_names.R'
         'constraining_loughran_mcdonald.R'
         'discourse_markers_alemany.R' 'dodds_sentiment.R'
-        'freq_first_names.R' 'freq_last_names.R' 'function_words.R'
-        'grady_augmented.R' 'hash_emoticons.R' 'hash_grady_pos.R'
-        'hash_lemmas.R' 'hash_power.R' 'hash_sentiment_emojis.R'
+        'enable_word_list.R' 'freq_first_names.R' 'freq_last_names.R'
+        'function_words.R' 'grady_augmented.R' 'hash_emoticons.R'
+        'hash_grady_pos.R' 'hash_internet_slang.R' 'hash_lemmas.R'
+        'hash_power.R' 'hash_sentiment_emojis.R'
         'hash_sentiment_huliu.R' 'hash_sentiment_inquirer.R' 'utils.R'
         'hash_sentiment_jockers.R' 'hash_sentiment_jockers_rinker.R'
         'hash_sentiment_loughran_mcdonald.R' 'hash_sentiment_nrc.R'
         'hash_sentiment_senticnet.R' 'hash_sentiment_sentiword.R'
+        'hash_sentiment_slangsd.R' 'hash_sentiment_socal_google.R'
         'hash_sentiment_vadar.R' 'hash_strength.R' 'hash_syllable.R'
         'hash_valence_shifters.R' 'key_abbreviation.R'
         'key_contractions.R' 'key_grade.R' 'key_grades.R'
@@ -37,7 +39,7 @@
         'sw_jockers.R' 'sw_loughran_mcdonald.R' 'sw_lucene.R'
         'sw_mallet.R' 'sw_onix.R' 'sw_python.R'
 NeedsCompilation: no
-Packaged: 2017-12-11 11:55:26 UTC; Tyler
+Packaged: 2018-01-13 02:51:57 UTC; Tyler
 Author: Tyler Rinker [aut, cre]
 Repository: CRAN
-Date/Publication: 2017-12-11 13:30:00 UTC
+Date/Publication: 2018-01-13 17:08:32 UTC

## lexicon 1.0.0

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 1.0.0
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and word lists.
Depends: R (>= 3.2.2)
Imports: data.table, syuzhet (>= 1.0.1)
Authors@R: c( 
    person("Tyler", "Rinker", email = "tyler.rinker@gmail.com", role = c("aut", "cre", "cph")),
    person("University of Notre Dame", role = c('dtc', "cph")),
    person("Department of Knowledge Technologies", role = c('dtc', "cph")),
    person("Unicode, Inc.", role = c('dtc', "cph")),
    person("John", "Higgins", role = c('dtc', "cph")),
    person("Grady", "Ward", role = c('dtc')),
    person("Heiko", "Possel", role = c('dtc')),
    person("Michal Boleslav", "Mechura", role = c('dtc', "cph")),
    person("Bing", "Liu", role = c('dtc')),
    person("Minqing", "Hu", role = c('dtc')),
    person("Saif M.", "Mohammad", role = c('dtc')),
    person("Peter", "Turney", role = c('dtc')),
    person("Erik", "Cambria", role = c('dtc')),
    person('Soujanya', 'Poria', role = c('dtc')),
    person('Rajiv', 'Bajpai', role = c('dtc')),
    person("Bjoern", "Schuller", role = c('dtc')),
    person("SentiWordNet", role = c('dtc', "cph")),
    person("Liang", "Wu", role = c('dtc', "cph")),
    person("Fred", "Morstatter", role = c('dtc', "cph")),
    person("Huan", "Liu", role = c('dtc', "cph")),
    person("Grammar Revolution", role = c('dtc', "cph")),
    person("Vidar", "Holen", role = c('dtc', "cph")),
    person("Alejandro U.", "Alvarez", role = c('dtc', "cph")),
    person("Stackoverflow User user2592414", role = c('dtc', "cph")),
    person("BannedWordList.com", role = c('dtc', "cph")),
    person("Apache Software Foundation", role = c('dtc', "cph")),
    person("Andrew Kachites", "McCallum", role = c('dtc', "cph")),
    person("Alireza", "Savand", role = c('dtc', "cph"))
    )
Date: 2018-04-22
License: GPL-3
LazyData: TRUE
RoxygenNote: 6.0.1
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
Collate: 'available_data.R' 'common_names.R'
        'constraining_loughran_mcdonald.R' 'freq_first_names.R'
        'freq_last_names.R' 'function_words.R' 'grady_augmented.R'
        'hash_emoticons.R' 'hash_grady_pos.R' 'hash_internet_slang.R'
        'hash_lemmas.R' 'hash_sentiment_emojis.R'
        'hash_sentiment_huliu.R' 'utils.R' 'hash_sentiment_jockers.R'
        'hash_sentiment_jockers_rinker.R'
        'hash_sentiment_loughran_mcdonald.R' 'hash_sentiment_nrc.R'
        'hash_sentiment_senticnet.R' 'hash_sentiment_sentiword.R'
        'hash_sentiment_slangsd.R' 'hash_sentiment_socal_google.R'
        'hash_valence_shifters.R' 'key_contractions.R' 'key_grade.R'
        'key_ratings.R' 'lexicon-package.R' 'modal_loughran_mcdonald.R'
        'nrc_emotions.R' 'pos_action_verb.R' 'pos_df_irregular_nouns.R'
        'pos_df_pronouns.R' 'pos_interjections.R' 'pos_preposition.R'
        'profanity_alvarez.R' 'profanity_arr_bad.R'
        'profanity_banned.R' 'sw_dolch.R' 'sw_fry_100.R'
        'sw_fry_1000.R' 'sw_fry_200.R' 'sw_fry_25.R' 'sw_jockers.R'
        'sw_loughran_mcdonald.R' 'sw_lucene.R' 'sw_mallet.R'
        'sw_python.R'
NeedsCompilation: no
Packaged: 2018-04-23 00:13:16 UTC; trinker
Author: Tyler Rinker [aut, cre, cph],
  University of Notre Dame [dtc, cph],
  Department of Knowledge Technologies [dtc, cph],
  Unicode, Inc. [dtc, cph],
  John Higgins [dtc, cph],
  Grady Ward [dtc],
  Heiko Possel [dtc],
  Michal Boleslav Mechura [dtc, cph],
  Bing Liu [dtc],
  Minqing Hu [dtc],
  Saif M. Mohammad [dtc],
  Peter Turney [dtc],
  Erik Cambria [dtc],
  Soujanya Poria [dtc],
  Rajiv Bajpai [dtc],
  Bjoern Schuller [dtc],
  SentiWordNet [dtc, cph],
  Liang Wu [dtc, cph],
  Fred Morstatter [dtc, cph],
  Huan Liu [dtc, cph],
  Grammar Revolution [dtc, cph],
  Vidar Holen [dtc, cph],
  Alejandro U. Alvarez [dtc, cph],
  Stackoverflow User user2592414 [dtc, cph],
  BannedWordList.com [dtc, cph],
  Apache Software Foundation [dtc, cph],
  Andrew Kachites McCallum [dtc, cph],
  Alireza Savand [dtc, cph]
Repository: CRAN
Date/Publication: 2018-04-24 05:12:28 UTC

## lexicon 1.1.3

=== DESCRIPTION ===
Package: lexicon
Title: Lexicons for Text Analysis
Version: 1.1.3
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: A collection of lexical hash tables, dictionaries, and word lists.
Depends: R (>= 3.2.2)
Imports: data.table, syuzhet (>= 1.0.1)
Authors@R: c( person("Tyler", "Rinker", email = "tyler.rinker@gmail.com", role = c("aut", "cre", "cph")), person("University of Notre
              Dame", role = c('dtc', "cph")), person("Department of Knowledge Technologies", role = c('dtc', "cph")),
              person("Unicode, Inc.", role = c('dtc', "cph")), person("John", "Higgins", role = c('dtc', "cph")), person("Grady",
              "Ward", role = c('dtc')), person("Heiko", "Possel", role = c('dtc')), person("Michal Boleslav", "Mechura", role =
              c('dtc', "cph")), person("Bing", "Liu", role = c('dtc')), person("Minqing", "Hu", role = c('dtc')), person("Saif M.",
              "Mohammad", role = c('dtc')), person("Peter", "Turney", role = c('dtc')), person("Erik", "Cambria", role = c('dtc')),
              person('Soujanya', 'Poria', role = c('dtc')), person('Rajiv', 'Bajpai', role = c('dtc')), person("Bjoern", "Schuller",
              role = c('dtc')), person("SentiWordNet", role = c('dtc', "cph")), person("Liang", "Wu", role = c('dtc', "cph")),
              person("Fred", "Morstatter", role = c('dtc', "cph")), person("Huan", "Liu", role = c('dtc', "cph")), person("Grammar
              Revolution", role = c('dtc', "cph")), person("Vidar", "Holen", role = c('dtc', "cph")), person("Alejandro U.",
              "Alvarez", role = c('dtc', "cph")), person("Stackoverflow User user2592414", role = c('dtc', "cph")),
              person("BannedWordList.com", role = c('dtc', "cph")), person("Apache Software Foundation", role = c('dtc', "cph")),
              person("Andrew Kachites", "McCallum", role = c('dtc', "cph")), person("Alireza", "Savand", role = c('dtc', "cph")),
              person("Zact", 'Anger', role = c('dtc', "cph")), person("Titus", "Wormer", role = c('dtc', "cph")), 
              person("Colin", "Martindale", role = c('dtc', "cph")), person("John", "Wiseman", role = c('dtc', "cph")),
              person("Nadra", "Pencle", role = c('dtc', "cph")), person("Irina", "Mălăescu", role = c('dtc', "cph"))
              )
License: GPL-3
LazyData: TRUE
Encoding: UTF-8
RoxygenNote: 6.1.0.9000
BugReports: https://github.com/trinker/lexicon/issues?state=open
URL: https://github.com/trinker/lexicon
Collate: 'available_data.R' 'common_names.R'
        'constraining_loughran_mcdonald.R' 'freq_first_names.R'
        'freq_last_names.R' 'function_words.R' 'grady_augmented.R'
        'hash_emoticons.R' 'hash_grady_pos.R' 'hash_internet_slang.R'
        'hash_lemmas.R' 'hash_sentiment_emojis.R'
        'hash_sentiment_huliu.R' 'utils.R' 'hash_sentiment_jockers.R'
        'hash_sentiment_jockers_rinker.R'
        'hash_sentiment_loughran_mcdonald.R' 'hash_sentiment_nrc.R'
        'hash_sentiment_senticnet.R' 'hash_sentiment_sentiword.R'
        'hash_sentiment_slangsd.R' 'hash_sentiment_socal_google.R'
        'hash_valence_shifters.R' 'key_contractions.R'
        'key_corporate_social_responsibility.R' 'key_grade.R'
        'key_ratings.R' 'key_regressive_imagery.R' 'lexicon-package.R'
        'modal_loughran_mcdonald.R' 'nrc_emotions.R'
        'pos_action_verb.R' 'pos_df_irregular_nouns.R'
        'pos_df_pronouns.R' 'pos_interjections.R' 'pos_preposition.R'
        'profanity_alvarez.R' 'profanity_arr_bad.R'
        'profanity_banned.R' 'profanity_racist.R'
        'profanity_zac_anger.R' 'sw_dolch.R' 'sw_fry_100.R'
        'sw_fry_1000.R' 'sw_fry_200.R' 'sw_fry_25.R' 'sw_jockers.R'
        'sw_loughran_mcdonald.R' 'sw_lucene.R' 'sw_mallet.R'
        'sw_python.R'
NeedsCompilation: no
Packaged: 2018-10-20 11:49:10 UTC; trinker
Author: Tyler Rinker [aut, cre, cph],
  University of Notre Dame [dtc, cph],
  Department of Knowledge Technologies [dtc, cph],
  Unicode, Inc. [dtc, cph],
  John Higgins [dtc, cph],
  Grady Ward [dtc],
  Heiko Possel [dtc],
  Michal Boleslav Mechura [dtc, cph],
  Bing Liu [dtc],
  Minqing Hu [dtc],
  Saif M. Mohammad [dtc],
  Peter Turney [dtc],
  Erik Cambria [dtc],
  Soujanya Poria [dtc],
  Rajiv Bajpai [dtc],
  Bjoern Schuller [dtc],
  SentiWordNet [dtc, cph],
  Liang Wu [dtc, cph],
  Fred Morstatter [dtc, cph],
  Huan Liu [dtc, cph],
  Grammar Revolution [dtc, cph],
  Vidar Holen [dtc, cph],
  Alejandro U. Alvarez [dtc, cph],
  Stackoverflow User user2592414 [dtc, cph],
  BannedWordList.com [dtc, cph],
  Apache Software Foundation [dtc, cph],
  Andrew Kachites McCallum [dtc, cph],
  Alireza Savand [dtc, cph],
  Zact Anger [dtc, cph],
  Titus Wormer [dtc, cph],
  Colin Martindale [dtc, cph],
  John Wiseman [dtc, cph],
  Nadra Pencle [dtc, cph],
  Irina Mălăescu [dtc, cph]
Repository: CRAN
Date/Publication: 2018-10-20 12:40:03 UTC

## lexicon 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lexicon
 Title: Lexicons for Text Analysis
-Version: 1.1.3
+Version: 1.2.1
 Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
 Description: A collection of lexical hash tables, dictionaries, and word lists.
 Depends: R (>= 3.2.2)
@@ -20,19 +20,19 @@
               person("Andrew Kachites", "McCallum", role = c('dtc', "cph")), person("Alireza", "Savand", role = c('dtc', "cph")),
               person("Zact", 'Anger', role = c('dtc', "cph")), person("Titus", "Wormer", role = c('dtc', "cph")), 
               person("Colin", "Martindale", role = c('dtc', "cph")), person("John", "Wiseman", role = c('dtc', "cph")),
-              person("Nadra", "Pencle", role = c('dtc', "cph")), person("Irina", "Mălăescu", role = c('dtc', "cph"))
+              person("Nadra", "Pencle", role = c('dtc', "cph")), person("Irina", "Malaescu", role = c('dtc', "cph"))
               )
 License: GPL-3
 LazyData: TRUE
 Encoding: UTF-8
-RoxygenNote: 6.1.0.9000
+RoxygenNote: 6.1.1
 BugReports: https://github.com/trinker/lexicon/issues?state=open
 URL: https://github.com/trinker/lexicon
-Collate: 'available_data.R' 'common_names.R'
+Collate: 'available_data.R' 'cliches.R' 'common_names.R'
         'constraining_loughran_mcdonald.R' 'freq_first_names.R'
         'freq_last_names.R' 'function_words.R' 'grady_augmented.R'
         'hash_emoticons.R' 'hash_grady_pos.R' 'hash_internet_slang.R'
-        'hash_lemmas.R' 'hash_sentiment_emojis.R'
+        'hash_lemmas.R' 'hash_nrc_emotion.R' 'hash_sentiment_emojis.R'
         'hash_sentiment_huliu.R' 'utils.R' 'hash_sentiment_jockers.R'
         'hash_sentiment_jockers_rinker.R'
         'hash_sentiment_loughran_mcdonald.R' 'hash_sentiment_nrc.R'
@@ -51,7 +51,7 @@
         'sw_loughran_mcdonald.R' 'sw_lucene.R' 'sw_mallet.R'
         'sw_python.R'
 NeedsCompilation: no
-Packaged: 2018-10-20 11:49:10 UTC; trinker
+Packaged: 2019-03-20 16:40:42 UTC; trinker
 Author: Tyler Rinker [aut, cre, cph],
   University of Notre Dame [dtc, cph],
   Department of Knowledge Technologies [dtc, cph],
@@ -85,6 +85,6 @@
   Colin Martindale [dtc, cph],
   John Wiseman [dtc, cph],
   Nadra Pencle [dtc, cph],
-  Irina Mălăescu [dtc, cph]
+  Irina Malaescu [dtc, cph]
 Repository: CRAN
-Date/Publication: 2018-10-20 12:40:03 UTC
+Date/Publication: 2019-03-21 10:40:03 UTC

## lexicon 2.1.21

=== debian/changelog ===
lexicon (2.1.21-1) unstable; urgency=medium

  * Initial release (Closes: #888800)

 -- Ana Custura <ana@netstat.org.uk>  Fri, 02 Mar 2018 22:36:08 +0000

=== debian/control ===
Source: lexicon
Maintainer: Ana Custura <ana@netstat.org.uk>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               python3-all,
               python3-setuptools,
               python3-future,
               python3-tldextract,
               python3-pytest,
               python3-boto3,
               python3-softlayer,
               python3-vcr
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/lexicon
Vcs-Git: https://salsa.debian.org/debian/lexicon.git
Homepage: https://github.com/AnalogJ/lexicon

Package: python3-lexicon
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-boto3,
            python3-softlayer
Description: Manipulate DNS records on various DNS providers (Python 3)
 Lexicon provides a way to manipulate DNS records on multiple DNS
 providers in a standardized way. Lexicon was designed to be used in
 automation, specifically letsencrypt.
 .
 This package installs the library for Python 3.

Package: lexicon
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-lexicon (= ${binary:Version})
Description: CLI for manipulating DNS records on various DNS providers (Python 3)
 Lexicon provides a way to manipulate DNS records on multiple DNS
 providers in a standardized way. Lexicon was designed to be used in
 automation, specifically letsencrypt.
 .
 This package installs the tool for Python 3.

## lexicon 2.2.1

=== requirements.txt ===
###############################################################################
# Standard Dependencies
#
# 	This file specifies all standard dependencies that are required for
#	lexicon to work.
#
###############################################################################

requests[security]
tldextract
future

=== debian/changelog ===
lexicon (2.2.1-2ubuntu0.1) bionic; urgency=medium

  [ Adrien Ferrand ]
  * Fix dnsimple provider to create records (LP: #1825049).

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 29 Apr 2019 10:22:26 +0100

lexicon (2.2.1-2) unstable; urgency=medium

  [Chris Lamb <lamby@debian.org>]

  * Makes the build reproducible (Closes: #894493)
 
 -- Ana Custura <ana@netstat.org.uk>  Sat, 31 Mar 2018 11:26:07 +0100

lexicon (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1 (Closes: #894167) 

 -- Ana Custura <ana@netstat.org.uk>  Tue, 27 Mar 2018 12:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: lexicon
-Maintainer: Ana Custura <ana@netstat.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ana Custura <ana@netstat.org.uk>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -12,8 +14,8 @@
                python3-softlayer,
                python3-vcr
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/debian/lexicon
-Vcs-Git: https://salsa.debian.org/debian/lexicon.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon
 
 Package: python3-lexicon

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=lexicon
export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	pytest-3 tests/ -k "not transip and not namecheap"

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=lexicon --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

## lexicon 2.3.0

=== debian/changelog ===
lexicon (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0 
  * Removes reproducible build patch which has been applied upstream
  * Adds dependency on dh-python

 -- Ana Custura <ana@netstat.org.uk>  Mon, 28 May 2018 00:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lexicon
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ana Custura <ana@netstat.org.uk>
+Maintainer: Ana Custura <ana@netstat.org.uk>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11),
                python3-all,
+               dh-python,
                python3-setuptools,
                python3-future,
                python3-tldextract,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 override_dh_auto_test:
-	pytest-3 tests/ -k "not transip and not namecheap"
+	pytest-3 tests/ -k "not transip and not namecheap and not subreg"
 
 override_dh_auto_install:
 	dh_auto_install

## lexicon 2.7.0

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 requests[security]
 tldextract
 future
+cryptography

=== debian/changelog ===
lexicon (2.7.0-1ubuntu0.1) cosmic; urgency=medium

  [ Adrien Ferrand <ferrand.ad@gmail.com>]
  * Fix dnsimple provider to create records (LP: #1825049).
  * Disable route53 provider tests, since VCRpy cassettes are not working
    anymore.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 29 Apr 2019 10:20:43 +0100

lexicon (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0 (Closes: #905450)
  * Removes unused patch and series files
  * [Ondřej Nový] Remove trailing whitespaces

 -- Ana Custura <ana@netstat.org.uk>  Sun, 12 Aug 2018 19:38:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lexicon
-Maintainer: Ana Custura <ana@netstat.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ana Custura <ana@netstat.org.uk>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
@@ -12,8 +13,9 @@
                python3-pytest,
                python3-boto3,
                python3-softlayer,
+               python3-cryptography,
                python3-vcr
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon

## lexicon 2.7.12

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,5 @@
 #
 ###############################################################################
 
-requests[security]
-tldextract
-future
-cryptography
+--process-dependency-links
+.

=== debian/changelog ===
lexicon (2.7.12-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * d/changelog: Remove trailing whitespaces

  [ Harlan Lieberman-Berg ]
  * Team upload.
  * New upstream version 2.7.12
  * Add new dependencies
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 01 Nov 2018 22:02:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: lexicon
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ana Custura <ana@netstat.org.uk>
+Maintainer: Ana Custura <ana@netstat.org.uk>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11),
                python3-all,
                dh-python,
+               python3-boto3,
+               python3-cryptography (>= 1.3.4),
+               python3-future,
+               python3-idna (>= 2.0.0~),
+               python3-mock (>= 2.0.0~),
+               python3-openssl (>= 0.14~),
+               python3-pytest,
                python3-setuptools,
-               python3-future,
+               python3-softlayer,
                python3-tldextract,
-               python3-pytest,
-               python3-boto3,
-               python3-softlayer,
-               python3-cryptography,
                python3-vcr
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 override_dh_auto_test:
-	pytest-3 tests/ -k "not transip and not namecheap and not subreg"
+	pytest-3 tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not auto"
 
 override_dh_auto_install:
 	dh_auto_install

## lexicon 3.0.6

=== debian/changelog ===
lexicon (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.6
  * Exclude dns providers requiring addtl deps from test
  * Add new dependencies introduced upstream
  * Add autopkgtest Testsuite to d/control
  * Support nocheck for tests, update test exclusion list
  * Add patch to workaround import in excluded test

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 08 Dec 2018 23:32:55 -0500

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,13 @@
                python3-setuptools,
                python3-softlayer,
                python3-tldextract,
-               python3-vcr
+               python3-vcr,
+               python3-yaml
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-lexicon
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 
 override_dh_auto_test:
-	pytest-3 tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not auto"
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	pytest-3 tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto"
+endif
 
 override_dh_auto_install:
 	dh_auto_install

## lexicon 3.0.8

=== requirements.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 ###############################################################################
 
 --process-dependency-links
-.
+-e .

=== debian/changelog ===
lexicon (3.0.8-2) unstable; urgency=high

  * Team upload.
  * Import dnsimple create fix from upstream (Closes: #926682)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 08 Apr 2019 18:07:45 -0400

lexicon (3.0.8-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version 3.0.8

  [ Ana C. Custura ]
  * Updates debhelper compat to version 12
  * Updates standards version to 4.3.0
  * Updates test exclusion list
  * Adds patch to workaround import in excluded test
  * Adds patch to workaround network requirement in excluded test

 -- Ana Custura <ana@netstat.org.uk>  Sun, 06 Jan 2019 14:24:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                python3-all,
                dh-python,
                python3-boto3,
@@ -18,7 +18,7 @@
                python3-tldextract,
                python3-vcr,
                python3-yaml
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	pytest-3 tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto"
+	pytest-3 tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto and not hetzner"
 endif
 
 override_dh_auto_install:

## lexicon 3.3.1

=== debian/changelog ===
lexicon (3.3.1-1) unstable; urgency=medium

  [ Ana Custura ]
  * New Upstream version 3.3.1
  * Drops patches applied upstream
  * Updates test exclusion list
  * Allows package to install examples

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Ana Custura <ana@netstat.org.uk>  Sun, 21 Jul 2019 01:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                python3-all,
                dh-python,
                python3-boto3,
@@ -18,7 +18,7 @@
                python3-tldextract,
                python3-vcr,
                python3-yaml
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	pytest-3 tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto and not hetzner"
+	pytest-3 lexicon/tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto and not hetzner and not gratisdns"
 endif
 
 override_dh_auto_install:

## lexicon 3.3.17

=== debian/changelog ===
lexicon (3.3.17-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Ana Custura ]
  * New upstream version 3.3.17
  * Update test exclusion list

 -- Ana Custura <ana@netstat.org.uk>  Sat, 08 Feb 2020 20:14:37 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-tldextract,
                python3-vcr,
                python3-yaml
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	pytest-3 lexicon/tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto and not hetzner and not gratisdns"
+	pytest-3 lexicon/tests/ -k "not namecheap and not route53 and not subreg and not transip and not plesk and not henet and not easyname and not localzone and not auto and not hetzner and not gratisdns and not gransy"
 endif
 
 override_dh_auto_install:

## lexicon 3.9.4

=== debian/changelog ===
lexicon (3.9.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Phil Morrell <emorrp1@debian.org>  Tue, 11 Oct 2022 22:20:43 +0100

lexicon (3.9.4-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Ana Custura ]
  * New upstream version 3.3.17

  [ Harlan Lieberman-Berg ]
  * New upstream version 3.9.4 (Closes: #1005686)
  * Update dependencies in d/control
  * Bump S-V, dh
  * Update tests run.
  * Add Rules-Requires-Root
  * Switch to pyproject plugin for pybuild
  * Add lintian override for very long lines in test dir

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 31 Mar 2022 01:00:14 -0400

=== debian/control ===
Source: lexicon
Maintainer: Ana Custura <ana@netstat.org.uk>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all,
               dh-python,
               pybuild-plugin-pyproject,
               python3-boto3,
               python3-bs4,
               python3-cryptography,
               python3-dnspython,
               python3-future,
               python3-idna,
               python3-mock,
               python3-openssl,
               python3-poetry-core,
               python3-pytest,
               python3-setuptools,
               python3-softlayer,
               python3-tldextract,
               python3-vcr,
               python3-yaml,
               python3-zeep,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lexicon
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lexicon.git
Homepage: https://github.com/AnalogJ/lexicon
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-lexicon
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-boto3,
            python3-softlayer,
            python3-zeep
Description: Manipulate DNS records on various DNS providers (Python 3)
 Lexicon provides a way to manipulate DNS records on multiple DNS
 providers in a standardized way. Lexicon was designed to be used in
 automation, specifically letsencrypt.
 .
 This package installs the library for Python 3.

Package: lexicon
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-lexicon (= ${binary:Version})
Description: CLI for manipulating DNS records on various DNS providers (Python 3)
 Lexicon provides a way to manipulate DNS records on multiple DNS
 providers in a standardized way. Lexicon was designed to be used in
 automation, specifically letsencrypt.
 .
 This package installs the tool for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=lexicon
export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	pytest-3 lexicon/tests/ -k "not auto and not localzone and not oci"
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=lexicon --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

## lexicon 3.11.7

=== debian/changelog ===
lexicon (3.11.7-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Harlan Lieberman-Berg ]
  * New upstream version 3.11.7
  * Disable namecheap tests
  * Broaden very-long-length lintian override
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 29 Oct 2022 18:14:38 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-vcr,
                python3-yaml,
                python3-zeep,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lexicon
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lexicon.git
 Homepage: https://github.com/AnalogJ/lexicon

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	pytest-3 lexicon/tests/ -k "not auto and not localzone and not oci"
+	pytest-3 lexicon/tests/ -k "not auto and not localzone and not oci and not namecheap"
 endif
 
 override_dh_auto_install:

## lexicon 3.17.0

=== debian/changelog ===
lexicon (3.17.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.17.0 (Closes: #1054641, #1054653)
  * add debian/clean

  [ Harlan Lieberman-Berg ]
  * Add fix for pythonpath when using pytest
  * Add dependency on python3-pyotp

 -- Alexandre Detiste <tchet@debian.org>  Thu, 15 Feb 2024 12:01:36 +0100

lexicon (3.11.7-2) unstable; urgency=medium

  * Team upload
  * remove useless, deprecated, build-deps:
    * python3-future
    * python3-mock
  * add debian/.gitignore

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 16:14:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                python3-bs4,
                python3-cryptography,
                python3-dnspython,
-               python3-future,
                python3-idna,
-               python3-mock,
                python3-openssl,
                python3-poetry-core,
+               python3-pyotp,
                python3-pytest,
                python3-setuptools,
                python3-softlayer,
@@ -49,9 +48,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-lexicon (= ${binary:Version})
-Description: CLI for manipulating DNS records on various DNS providers (Python 3)
+Description: CLI for manipulating DNS records on various DNS providers
  Lexicon provides a way to manipulate DNS records on multiple DNS
  providers in a standardized way. Lexicon was designed to be used in
  automation, specifically letsencrypt.
- .
- This package installs the tool for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	pytest-3 lexicon/tests/ -k "not auto and not localzone and not oci and not namecheap"
+	pytest-3 tests/ -k "not auto and not localzone and not oci and not namecheap"
 endif
 
 override_dh_auto_install:

=== debian/watch ===
version=4
   https://github.com/AnalogJ/lexicon/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lexicon 3.21.1

=== debian/changelog ===
lexicon (3.21.1-1) unstable; urgency=medium

  * New upstream version 3.21.1
  * Add Michel Le Bihan to Uploaders
  * Update build backend dependency
  * Remove obsolete test patch

 -- Michel Le Bihan <michel@lebihan.pl>  Fri, 22 Aug 2025 13:47:36 +0200

=== debian/control ===
Source: lexicon
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ana Custura <ana@netstat.org.uk>,
 Michel Le Bihan <michel@lebihan.pl>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-boto3,
 python3-bs4,
 python3-cryptography,
 python3-dnspython,
 python3-hatchling,
 python3-idna,
 python3-openssl,
 python3-pyotp,
 python3-pytest,
 python3-softlayer,
 python3-tldextract,
 python3-vcr,
 python3-yaml,
 python3-zeep,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lexicon
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lexicon.git
Homepage: https://github.com/dns-lexicon/dns-lexicon
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
X-Style: black

Package: python3-lexicon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-boto3,
 python3-softlayer,
 python3-zeep,
Description: Manipulate DNS records on various DNS providers (Python 3)
 Lexicon provides a way to manipulate DNS records on multiple DNS
 providers in a standardized way. Lexicon was designed to be used in
 automation, specifically letsencrypt.
 .
 This package installs the library for Python 3.

Package: lexicon
Architecture: all
Depends:
 python3-lexicon (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: CLI for manipulating DNS records on various DNS providers
 Lexicon provides a way to manipulate DNS records on multiple DNS
 providers in a standardized way. Lexicon was designed to be used in
 automation, specifically letsencrypt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=lexicon
export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	pytest-3 tests/ -o pythonpath=src -k "not auto and not localzone and not oci"
endif

execute_after_dh_auto_install:
	dh_movefiles --package=lexicon --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

=== debian/watch ===
version=4
   https://github.com/dns-lexicon/dns-lexicon/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
